[lsb-discuss] Checking Firefox for LSB-compliance

Sam Hart criswellious at gmail.com
Wed Apr 11 07:04:07 PDT 2007


On 4/10/07, Banginwar, Rajesh <rajesh.banginwar at intel.com> wrote:
> Some time back we attempted to make Firefox 1.5 LSB compliant. Most of
> the issues are easy to fix (e.g. replacing usage of some of the glibc,
> and GTK+ interfaces). What we were stuck with was the pango backend that
> firefox relies on. Pango backends are not part of LSB as the GTK
> community advised against it (it is still not stable enough to guarantee
> the ABI across releases, I believe)... I am trying to find more
> information about other things we may have found...

Thanks for the information.

What I'm planning on doing (unless anyone has any objections) is use a
section of my website for note taking on this task.
http://ww2.samhart.com/node/35

Unfortunately, I've run into a problem that may be lsbappchk related:
$ /opt/lsb/bin/lsbappchk firefox-bin
LSB Application Checker Report
==============================

Binary firefox-bin:
*** glibc detected *** free(): invalid next size (fast): 0x08224a70 ***
Aborted

I will likely have to query Jeff on this one.




More information about the lsb-discuss mailing list